<?php
	/******************************************
	* @version  2.6
	* @Date  2020-04-20
	******************************************/
	
	if (!defined("WHMCS"))
		die("This file cannot be accessed directly");
	
	// .AERO TLD
	if(netim_isDefaultRegistrar("aero"))
	{
		$additionaldomainfields[".aero"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_aero_info']}");
		$additionaldomainfields[".aero"][] = array("Name" => "AERO_AUTHID",	"LangVar" => "netim_aero_id", "Type" => "text", "Size" => "20",	"Default" => "", "Required" => true);
		$additionaldomainfields[".aero"][] = array("Name" => "AERO_AUTHKEY", "LangVar" => "netim_aero_password", "Type" => "text", "Size" => "20", "Default" => "", "Required" => true);
	}

	// .AR TLD
	if(netim_isDefaultRegistrar("ar","com.ar","net.ar","org.ar"))
	{
		$additionaldomainfields[".ar"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_freetrustee']}");
		$additionaldomainfields[".ar"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_trustee']}");

		// Third level		
		if(netim_isDefaultRegistrar("com.ar")) $additionaldomainfields[".com.ar"]=$additionaldomainfields[".ar"];
		if(netim_isDefaultRegistrar("net.ar")) $additionaldomainfields[".net.ar"]=$additionaldomainfields[".ar"];
		if(netim_isDefaultRegistrar("org.ar")) $additionaldomainfields[".org.ar"]=$additionaldomainfields[".ar"];
	}

	// .ARCHI TLD
	if(netim_isDefaultRegistrar("archi"))
	{
		$additionaldomainfields[".archi"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_archi_info']}");
		$additionaldomainfields[".archi"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// *.AU TLD
	if(netim_isDefaultRegistrar(array("com.au","net.au","org.au","asn.au","id.au")))
	{
		$additionaldomainfields[".com.au"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_au_info']['Header']}");
		$additionaldomainfields[".com.au"][] = array("Name" => "AU_REGISTRANT_ID_TYPE",	"LangVar" => "netim_au_id_type", "Type" => "dropdown", "Options" => ",{$_LANG['netim_au_id_type_dropdown']['1']} (1), {$_LANG['netim_au_id_type_dropdown']['2']} (2), {$_LANG['netim_au_id_type_dropdown']['3']} (3)",  "Default" => "","Required" => true);
		$additionaldomainfields[".com.au"][] = array("Name" => "AU_REGISTRANT_ID_NUMBER",	"LangVar" => "netim_au_id", "Type" => "text", "Size" => "20", "Default" => "", "Required" => true);
		$additionaldomainfields[".com.au"][] = array("Name" => "AU_ELIGIBILITY_TYPE",	"LangVar" => "netim_au_el_type", "Type" => "dropdown", "Options" => ",{$_LANG['netim_au_el_type_dropdown']['5']} (5), {$_LANG['netim_au_el_type_dropdown']['14']} (14), {$_LANG['netim_au_el_type_dropdown']['16']} (16), {$_LANG['netim_au_el_type_dropdown']['18']} (18)", "Default" => "","Required" => true);
	
		// Third level		
		if(netim_isDefaultRegistrar("net.au")) $additionaldomainfields[".net.au"]=$additionaldomainfields[".com.au"];
		if(netim_isDefaultRegistrar("org.au")) $additionaldomainfields[".org.au"]=$additionaldomainfields[".com.au"];		
		if(netim_isDefaultRegistrar("asn.au")) $additionaldomainfields[".asn.au"]=$additionaldomainfields[".com.au"];		
		if(netim_isDefaultRegistrar("id.au")) $additionaldomainfields[".id.au"]=$additionaldomainfields[".com.au"];		
	}
	
	// .AX TLD
	if(netim_isDefaultRegistrar("ax"))
	{
		$additionaldomainfields[".ax"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_ax_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_ax_info']['Company']['Name']}</strong>: {$_LANG['netim_ax_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_ax_info']['Individual']['Name']}</strong>: {$_LANG['netim_ax_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".ax"][] = array("Name" => "companyNumber", "LangVar" => "netim_ax_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");			
		$additionaldomainfields[".ax"][] = array("Name" => "idNumber", "LangVar" => "netim_ax_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");	
	}
	
	// .BA TLD
	if(netim_isDefaultRegistrar("ba"))
	{
		$additionaldomainfields[".ba"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_ba_info']}<br><strong>{$_LANG['netim_eligibility_both']}</strong>");
		$additionaldomainfields[".ba"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .BARCELONA TLD
	if(netim_isDefaultRegistrar("barcelona"))
	{
		$additionaldomainfields[".barcelona"][] = array("Name" => "BARCELONA_INTENDED_USE", "LangVar" => "netim_barcelona_use", "Type" => "text", "Size" => "58",	"Default" => "", "Required" => true);
	}
	
	// .BG TLD
	if(netim_isDefaultRegistrar("bg"))
	{
		$additionaldomainfields[".bg"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_bg_info']}");
		$additionaldomainfields[".bg"][] = array("Name" => "noname2", "LangVar" => "netim_caution", "Type" => "display","Default" =>"<i>{$_LANG['netim_bg_caution']}</i>");
		$additionaldomainfields[".bg"][] = array("Name" => "companyName", "LangVar" => "netim_bg_companyname", "Type" => "text", "Size" => "30", "Default" => "", "Required" => true);
		$additionaldomainfields[".bg"][] = array("Name" => "vatNumber", "LangVar" => "netim_bg_vatnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => true);
		$additionaldomainfields[".bg"][] = array("Name" => "BG_LEGAL_REP_FIRSTNAME", "LangVar" => "netim_bg_firstname", "Type" => "text", "Size" => "30", "Default" => "", "Required" => true);
		$additionaldomainfields[".bg"][] = array("Name" => "BG_LEGAL_REP_LASTNAME", "LangVar" => "netim_bg_lastname", "Type" => "text", "Size" => "30", "Default" => "", "Required" => true);

		// Third level	
		$netim_t="abcdefghijklmnopqrstuvwxyz0123456789";
		for($netim_i=0; $netim_i<=strlen($netim_t);$netim_i++)
			$additionaldomainfields[".".$netim_t[$netim_i].".bg"]=$additionaldomainfields[".bg"];
		unset($netim_t);
		unset($netim_i);	
	}

	// .BR TLD
	if(netim_isDefaultRegistrar(array("com.br","net.br","org.br")))
	{
		$additionaldomainfields[".com.br"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_br_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_br_info']['Company']['Name']}</strong>: {$_LANG['netim_br_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_br_info']['Citizen']['Name']}</strong>: {$_LANG['netim_br_info']['Citizen']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".com.br"][] = array("Name" => "companyNumber", "LangVar" => "netim_br_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"(NN.NNN.NNN/NNNN-NN)");
		$additionaldomainfields[".com.br"][] = array("Name" => "idNumber", "LangVar" => "netim_br_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "(NNN.NNN.NNN-NN)");
		$additionaldomainfields[".com.br"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_values']}");
		
		// Third level		
		if(netim_isDefaultRegistrar("net.br")) $additionaldomainfields[".net.br"]=$additionaldomainfields[".com.br"];
		if(netim_isDefaultRegistrar("org.br")) $additionaldomainfields[".org.br"]=$additionaldomainfields[".com.br"];		
	}
	
	// .BY TLD
	if(netim_isDefaultRegistrar(array("by","com.by","net.by",".minsk.by")))
	{
		$additionaldomainfields[".by"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_by_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_by_info']['Company']['Name']}</strong>: {$_LANG['netim_by_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_by_info']['Company foreign']['Name']}</strong>: {$_LANG['netim_by_info']['Company foreign']['Requirements']}</li>
            <li><strong>{$_LANG['netim_by_info']['Individual']['Name']}</strong>: {$_LANG['netim_by_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".by"][] = array("Name" => "companyNumber", "LangVar" => "netim_by_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"");
		$additionaldomainfields[".by"][] = array("Name" => "BY_EGR_ORG", "LangVar" => "netim_by_companyauthority", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"");
		$additionaldomainfields[".by"][] = array("Name" => "BY_EGR_DATE", "LangVar" => "netim_by_companydate", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"(YYYY-MM-DD)");
		$additionaldomainfields[".by"][] = array("Name" => "BY_PASSPORT_NMBR", "LangVar" => "netim_by_passportnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"");
		$additionaldomainfields[".by"][] = array("Name" => "BY_PASSPORT_ORG", "LangVar" => "netim_by_passportissuer", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"");
		$additionaldomainfields[".by"][] = array("Name" => "BY_PASSPORT_DATE", "LangVar" => "netim_by_passportdate", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"(YYYY-MM-DD)");
		$additionaldomainfields[".by"][] = array("Name" => "BY_PASSPORT_PERSONAL_NMBR", "LangVar" => "netim_by_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"(YYYY-MM-DD)");
	
		// Third level
		if(netim_isDefaultRegistrar("com.by")) $additionaldomainfields[".com.by"] = $additionaldomainfields[".by"];
		if(netim_isDefaultRegistrar("net.by"))	$additionaldomainfields[".net.by"] = $additionaldomainfields[".by"];
		if(netim_isDefaultRegistrar("minsk.by")) $additionaldomainfields[".minsk.by"] = $additionaldomainfields[".by"];
	}
	
	// .CA TLD
	if(netim_isDefaultRegistrar("ca"))
	{
		$additionaldomainfields[".ca"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_ca_info']}");
		$additionaldomainfields[".ca"][] = array("Name" => "CA_LEGAL_TYPE", "LangVar" => "netim_ca_type", "Type" => "dropdown", "Options" => ",{$_LANG['netim_ca_type_dropdown']['CCO']} (CCO),{$_LANG['netim_ca_type_dropdown']['CCT']} (CCT),{$_LANG['netim_ca_type_dropdown']['RES']} (RES),{$_LANG['netim_ca_type_dropdown']['GOV']} (GOV),{$_LANG['netim_ca_type_dropdown']['EDU']} (EDU),{$_LANG['netim_ca_type_dropdown']['ASS']} (ASS),{$_LANG['netim_ca_type_dropdown']['HOP']} (HOP),{$_LANG['netim_ca_type_dropdown']['PRT']} (PRT),{$_LANG['netim_ca_type_dropdown']['TDM']} (TDM),{$_LANG['netim_ca_type_dropdown']['TRD']} (TRD),{$_LANG['netim_ca_type_dropdown']['PLT']} (PLT),{$_LANG['netim_ca_type_dropdown']['LAM']} (LAM),{$_LANG['netim_ca_type_dropdown']['TRS']} (TRS),{$_LANG['netim_ca_type_dropdown']['ABO']} (ABO),{$_LANG['netim_ca_type_dropdown']['LGR']} (LGR),{$_LANG['netim_ca_type_dropdown']['OMK']} (OMK)", "Default" => "", "Required" => true);
	}
	
	// .CAT TLD
	if(netim_isDefaultRegistrar("cat"))
	{
		$additionaldomainfields[".cat"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_cat_info']}");
		$additionaldomainfields[".cat"][] = array("Name" => "CAT_INTENDED_USE", "LangVar" => "netim_cat_use", "Type" => "text", "Size" => "58",	"Default" => "", "Required" => true);
	}
	
	// .CL TLD
	if(netim_isDefaultRegistrar("cl"))
	{
		$additionaldomainfields[".cl"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_cl_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_cl_info']['Company']['Name']}</strong>: {$_LANG['netim_cl_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_cl_info']['Individual']['Name']}</strong>: {$_LANG['netim_cl_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".cl"][] = array("Name" => "companyNumber", "LangVar" => "netim_cl_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");			
		$additionaldomainfields[".cl"][] = array("Name" => "idNumber", "LangVar" => "netim_cl_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");	
	}
	
	// .CN TLD
	if(netim_isDefaultRegistrar(array("cn","com.cn","net.cn","org.cn")))
	{
		$additionaldomainfields[".cn"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_freetrustee']}");
		$additionaldomainfields[".cn"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_trustee']}");
		
		// Third level
		if(netim_isDefaultRegistrar("com.cn")) $additionaldomainfields[".com.cn"] = $additionaldomainfields[".cn"];
		if(netim_isDefaultRegistrar("net.cn"))	$additionaldomainfields[".net.cn"] = $additionaldomainfields[".cn"];
		if(netim_isDefaultRegistrar("org.cn"))	$additionaldomainfields[".org.cn"] = $additionaldomainfields[".cn"];
	}

	// .CY TLD
	if(netim_isDefaultRegistrar(array("cy","ac.cy","biz.cy","com.cy","ltd.cy","name.cy","net.cy","org.cy","press.cy","pro.cy","tm.cy")))
	{
		$additionaldomainfields[".cy"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_cy_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_cy_info']['Company']['Name']}</strong>: {$_LANG['netim_cy_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_cy_info']['Individual']['Name']}</strong>: {$_LANG['netim_cy_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".cy"][] = array("Name" => "noname2", "LangVar" => "netim_caution", "Type" => "display","Default" =>"<i>{$_LANG['netim_cy_info']['notice']}</i>");
		$additionaldomainfields[".cy"][] = array("Name" => "companyNumber", "LangVar" => "netim_cy_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".cy"][] = array("Name" => "idNumber", "LangVar" => "netim_cy_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false );
		$additionaldomainfields[".cy"][] = array("Name" => "birthDate", "LangVar" => "netim_cy_birthdate", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "(YYYY-MM-DD)");
		
		// Third level
		if(netim_isDefaultRegistrar("ac.cy")) $additionaldomainfields[".ac.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("biz.cy")) $additionaldomainfields[".biz.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("com.cy"))	$additionaldomainfields[".com.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("ltd.cy"))	$additionaldomainfields[".ltd.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("name.cy")) $additionaldomainfields[".name.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("net.cy"))	$additionaldomainfields[".net.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("org.cy"))	$additionaldomainfields[".org.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("press.cy")) $additionaldomainfields[".press.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("pro.cy"))	$additionaldomainfields[".pro.cy"] = $additionaldomainfields[".cy"];
		if(netim_isDefaultRegistrar("tm.cy")) $additionaldomainfields[".tm.cy"] = $additionaldomainfields[".cy"];
	}
	
	// .DJ TLD
	if(netim_isDefaultRegistrar("dj"))
		$additionaldomainfields[".dj"][] = array("Name" => "DJ_INTENDED_USE", "LangVar" => "netim_dj_use", "Type" => "text", "Size" => "58",	"Default" => "", "Required" => true);
	
	// .DK TLD
	if(netim_isDefaultRegistrar("dk"))
	{
		$additionaldomainfields[".dk"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_dk_info']}");
		$additionaldomainfields[".dk"][] = array("Name" => "vatNumber", "LangVar" => "netim_dk_vatnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);
	}

	// .DZ TLD
	if(netim_isDefaultRegistrar("dz"))
	{
		$additionaldomainfields[".dz"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_dz_info']}");
		$additionaldomainfields[".dz"][] = array("Name" => "noname2", "LangVar" => "netim_caution", "Type" => "display","Default" =>"<i>{$_LANG['netim_dz_caution']}</i>");
		$additionaldomainfields[".dz"][] = array("Name" => "noname3","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
		$additionaldomainfields[".dz"][] = array("Name" => "DZ_TRADEMARK_NAME", "LangVar" => "netim_dj_tmname", "Type" => "text", "Size" => "58",	"Default" => "", "Required" => false);
		$additionaldomainfields[".dz"][] = array("Name" => "DZ_TRADEMARK_NUMBER", "LangVar" => "netim_dj_tmnumber", "Type" => "text", "Size" => "58",	"Default" => "", "Required" => false);
	}
	
	// .EC TLD
	if(netim_isDefaultRegistrar(array("ec","com.ec")))
	{
    	$additionaldomainfields[".ec"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_ec_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_ec_info']['Company']['Name']}</strong>: {$_LANG['netim_ec_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_ec_info']['Individual']['Name']}</strong>: {$_LANG['netim_ec_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".ec"][] = array("Name" => "companyNumber", "LangVar" => "netim_ec_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".ec"][] = array("Name" => "idNumber", "LangVar" => "netim_ec_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false );
		
		// Third level
		if(netim_isDefaultRegistrar("com.ec")) $additionaldomainfields[".com.ec"] = $additionaldomainfields[".ec"];
	}
	
	// .EE TLD
	if(netim_isDefaultRegistrar(array("ee","com.ee")))
	{
    	$additionaldomainfields[".ee"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_ee_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_ee_info']['Company']['Name']}</strong>: {$_LANG['netim_ee_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_ee_info']['Individual']['Name']}</strong>: {$_LANG['netim_ee_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".ee"][] = array("Name" => "companyNumber", "LangVar" => "netim_ee_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".ee"][] = array("Name" => "idNumber", "LangVar" => "netim_ee_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false );
		
		// Third level
		if(netim_isDefaultRegistrar("com.ee")) $additionaldomainfields[".com.ee"] = $additionaldomainfields[".ee"];
	}
	
	// .ES TLD
	if(netim_isDefaultRegistrar(array("es","com.es","org.es")))
	{
		$additionaldomainfields[".es"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_es_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_es_info']['FOR']['Name']}</strong>: {$_LANG['netim_es_info']['FOR']['Requirements']}</li>
            <li><strong>{$_LANG['netim_es_info']['NIF']['Name']}</strong>: {$_LANG['netim_es_info']['NIF']['Requirements']}</li>
			<li><strong>{$_LANG['netim_es_info']['NIE']['Name']}</strong>: {$_LANG['netim_es_info']['NIE']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".es"][] = array("Name" => "ES_TIPO", "LangVar" => "netim_es_type", "Type" => "dropdown", "Options" => "{$_LANG['netim_es_type_dropdown']['FOR']} (0),{$_LANG['netim_es_type_dropdown']['NIF']} (1),{$_LANG['netim_es_type_dropdown']['NIE']} (3)");
		$additionaldomainfields[".es"][] = array("Name" => "ES_OTHER", "LangVar" => "netim_es_for", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".es"][] = array("Name" => "ES_NIF", "LangVar" => "netim_es_nif", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);				
		$additionaldomainfields[".es"][] = array("Name" => "ES_NIE", "LangVar" => "netim_es_nie", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);				
	
		// Third level
		if(netim_isDefaultRegistrar("com.es")) $additionaldomainfields[".com.es"] = $additionaldomainfields[".es"];
		if(netim_isDefaultRegistrar("org.es")) $additionaldomainfields[".org.es"] = $additionaldomainfields[".es"];
	}
	
	// .EU TLD
	if(netim_isDefaultRegistrar("eu"))
	{
		$additionaldomainfields[".eu"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_eu_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".eu"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .FI TLD
	if(netim_isDefaultRegistrar("fi"))
	{
		$additionaldomainfields[".fi"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_fi_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_fi_info']['Company']['Name']}</strong>: {$_LANG['netim_fi_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_fi_info']['Citizen']['Name']}</strong>: {$_LANG['netim_fi_info']['Citizen']['Requirements']}</li>
            <li><strong>{$_LANG['netim_fi_info']['Individual']['Name']}</strong>: {$_LANG['netim_fi_info']['Individual']['Requirements']}</li>
	  </ul>");
		$additionaldomainfields[".fi"][] = array("Name" => "companyNumber", "LangVar" => "netim_fi_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");			
		$additionaldomainfields[".fi"][] = array("Name" => "idNumber", "LangVar" => "netim_fi_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "(NNNNNN-NNNN)");	
		$additionaldomainfields[".fi"][] = array("Name" => "birthDate", "LangVar" => "netim_fi_birthdate", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "(YYYY-MM-DD)");	
	}

	// .FR TLD
	if(netim_isDefaultRegistrar("fr"))
	{
		$additionaldomainfields[".fr"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_fr_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".fr"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}

	// .RE TLD (Same as .FR)
	if(netim_isDefaultRegistrar("re"))
	{
		$additionaldomainfields[".re"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_fr_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".re"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}

	// .PM TLD (Same as .FR)
	if(netim_isDefaultRegistrar("pm"))
	{
		$additionaldomainfields[".pm"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_fr_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".pm"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}

	// .TF TLD (Same as .FR)
	if(netim_isDefaultRegistrar("tf"))
	{
		$additionaldomainfields[".tf"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_fr_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".tf"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}

	// .WF TLD (Same as .FR)
	if(netim_isDefaultRegistrar("wf"))
	{
		$additionaldomainfields[".wf"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_fr_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".wf"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}

	// .YT TLD (Same as .FR)
	if(netim_isDefaultRegistrar("yt"))
	{
		$additionaldomainfields[".yt"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_fr_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".yt"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .GW TLD
	if(netim_isDefaultRegistrar("gw"))
	{
		$additionaldomainfields[".gw"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_gw_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_gw_info']['Company']['Name']}</strong>: {$_LANG['netim_gw_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_gw_info']['Individual']['Name']}</strong>: {$_LANG['netim_gw_info']['Individual']['Requirements']}</li>
         </ul>
		 {$_LANG['netim_gw_caution']}");
		$additionaldomainfields[".gw"][] = array("Name" => "companyNumber", "LangVar" => "netim_gw_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");			
		$additionaldomainfields[".gw"][] = array("Name" => "idNumber", "LangVar" => "netim_gw_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");	
	}
	
	// .HK TLD
	if(netim_isDefaultRegistrar(array("hk","com.hk")))
	{
		$additionaldomainfields[".hk"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_freetrustee']}");
		$additionaldomainfields[".hk"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_trustee']}");
		
		// Third level
		if(netim_isDefaultRegistrar("com.hk")) $additionaldomainfields[".com.hk"] = $additionaldomainfields[".hk"];
	}
	
	/// .HR TLD
	if(netim_isDefaultRegistrar("hr"))
	{
		$additionaldomainfields[".hr"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_hr_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_hr_info']['Company']['Name']}</strong>: {$_LANG['netim_hr_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_hr_info']['Citizen']['Name']}</strong>: {$_LANG['netim_hr_info']['Citizen']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".hr"][] = array("Name" => "vatNumber", "LangVar" => "netim_hr_vatnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);	
		$additionaldomainfields[".hr"][] = array("Name" => "HR_OIB", "LangVar" => "netim_hr_oibnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description"=>"(11N)");
		$additionaldomainfields[".hr"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");	
	}
	
	/// .HU TLD
	if(netim_isDefaultRegistrar("hu"))
	{
		$additionaldomainfields[".hu"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_hu_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_hu_info']['Company']['Name']}</strong>: {$_LANG['netim_hu_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_hu_info']['Individual']['Name']}</strong>: {$_LANG['netim_hu_info']['Individual']['Requirements']}</li>
         </ul>
		<em>{$_LANG['netim_hu_info']['notice']}</em>");
		$additionaldomainfields[".hu"][] = array("Name" => "vatNumber", "LangVar" => "netim_hu_vatnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);	
		$additionaldomainfields[".hu"][] = array("Name" => "idNumber", "LangVar" => "netim_hu_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".hu"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");	
	}
	
	/// .CO.HU TLD
	if(netim_isDefaultRegistrar("co.hu"))
	{
		$additionaldomainfields[".co.hu"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_cohu_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_cohu_info']['Company']['Name']}</strong>: {$_LANG['netim_cohu_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_cohu_info']['Individual']['Name']}</strong>: {$_LANG['netim_cohu_info']['Individual']['Requirements']}</li>
         </ul>
		<em>{$_LANG['netim_hu_info']['notice']}</em>");
		$additionaldomainfields[".co.hu"][] = array("Name" => "vatNumber", "LangVar" => "netim_cohu_vatnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);	
		$additionaldomainfields[".co.hu"][] = array("Name" => "companyNumber", "LangVar" => "netim_cohu_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".co.hu"][] = array("Name" => "idNumber", "LangVar" => "netim_cohu_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".co.hu"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_values']}");	
	}
	
	/// .IE TLD
	if(netim_isDefaultRegistrar("ie"))
	{
		$additionaldomainfields[".ie"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_ie_info']['Header']}
		<ul>
			<li>{$_LANG['netim_ie_info']['Identification']}</li>
			<li>{$_LANG['netim_ie_info']['Link']}</li>
			<li>{$_LANG['netim_ie_info']['Fastpass']}</li>
		</ul>	
		{$_LANG['netim_ie_info']['Header2']}
		<ul>
            <li><strong>{$_LANG['netim_ie_info']['IECompany']['Name']}</strong>: {$_LANG['netim_ie_info']['IECompany']['Requirements']}</li>
            <li><strong>{$_LANG['netim_ie_info']['IEIndividual']['Name']}</strong>: {$_LANG['netim_ie_info']['IEIndividual']['Requirements']}</li>
			<li><strong>{$_LANG['netim_ie_info']['ForCompany']['Name']}</strong>: {$_LANG['netim_ie_info']['ForCompany']['Requirements']}</li>
			<li><strong>{$_LANG['netim_ie_info']['fastpass']['Name']}</strong>: {$_LANG['netim_ie_info']['fastpass']['Requirements']}</li>
         </ul>");
       	$additionaldomainfields[".ie"][] = array("Name" => "vatNumber", "LangVar" => "netim_ie_vatnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);	
		$additionaldomainfields[".ie"][] = array("Name" => "companyNumber", "LangVar" => "netim_ie_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".ie"][] = array("Name" => "tmName","LangVar" => "netim_ie_tmname", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".ie"][] = array("Name" => "tmNumber","LangVar" => "netim_ie_tmnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".ie"][] = array("Name" => "IE_FASTPASS","LangVar" => "netim_ie_fastpass","Type" => "text", "Size" => "20", "Default" => "", "Required" => false);	
	}
	
	// .IR TLD
	if(netim_isDefaultRegistrar("ir"))
	{
		$additionaldomainfields[".ir"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_ir_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_ir_info']['Company']['Name']}</strong>: {$_LANG['netim_ir_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_ir_info']['Individual']['Name']}</strong>: {$_LANG['netim_ir_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".ir"][] = array("Name" => "companyNumber", "LangVar" => "netim_ir_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");			
		$additionaldomainfields[".ir"][] = array("Name" => "idNumber", "LangVar" => "netim_ir_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "");	
	}
	
	// .IS TLD
	if(netim_isDefaultRegistrar("is"))
	{
		$additionaldomainfields[".is"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_is_info']}");
		$additionaldomainfields[".is"][] = array("Name" => "companyNumber", "LangVar" => "netim_is_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);
		$additionaldomainfields[".is"][] = array("Name" => "idNumber", "LangVar" => "netim_is_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);
	}
	
	// .IT TLD
	if(netim_isDefaultRegistrar("it"))
	{
		$additionaldomainfields[".it"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_it_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_it_info']['Company']['Name']}</strong>: {$_LANG['netim_it_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_it_info']['Individual']['Name']}</strong>: {$_LANG['netim_it_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".it"][] = array("Name" => "vatNumber", "LangVar" => "netim_it_vatnumber", "Type" => "text", "Size" => "30", "Default" => "", "Required" => false);
		$additionaldomainfields[".it"][] = array("Name" => "idNumber", "LangVar" => "netim_it_idnumber", "Type" => "text", "Size" => "30", "Default" => "", "Required" => false);
		$additionaldomainfields[".it"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");	
	}
	
	// .KR TLD
	if(netim_isDefaultRegistrar(array("kr","co.kr","pe.kr","re.kr","seoul.kr","ne.kr","or.kr")))
	{
		$additionaldomainfields[".kr"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_kr_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_kr_info']['Company']['Name']}</strong>: {$_LANG['netim_kr_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_kr_info']['Individual']['Name']}</strong>: {$_LANG['netim_kr_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".kr"][] = array("Name" => "KR_DOC",	"LangVar" => "netim_kr_id", "Type" => "dropdown", "Options" => ",{$_LANG['netim_kr_doc_dropdown']['BUSINESS']} (BUSINESS), {$_LANG['netim_kr_doc_dropdown']['TAX']} (TAX), {$_LANG['netim_kr_doc_dropdown']['ORG']} (ORG), {$_LANG['netim_kr_doc_dropdown']['BRAND']} (BRAND), {$_LANG['netim_kr_doc_dropdown']['SOCIAL']} (SOCIAL), {$_LANG['netim_kr_doc_dropdown']['DRIVELIC']} (DRIVELIC), {$_LANG['netim_kr_doc_dropdown']['PASSPORT']} (PASSPORT)","Default" => "", "Required" => true);
		$additionaldomainfields[".kr"][] = array("Name" => "companyNumber",	"LangVar" => "netim_kr_companynumber", "Type" => "text", "Size" => "30", "Default" => "", "Required" => false);
		$additionaldomainfields[".kr"][] = array("Name" => "idNumber",	"LangVar" => "netim_kr_idnumber", "Type" => "text", "Size" => "30", "Default" => "", "Required" => false);
		
		// Third level	
		if(netim_isDefaultRegistrar("co.kr")) $additionaldomainfields[".co.kr"]=$additionaldomainfields[".kr"];
		if(netim_isDefaultRegistrar("pe.kr")) $additionaldomainfields[".pe.kr"]=$additionaldomainfields[".kr"];
		if(netim_isDefaultRegistrar("re.kr")) $additionaldomainfields[".re.kr"]=$additionaldomainfields[".kr"];
		if(netim_isDefaultRegistrar("seoul.kr")) $additionaldomainfields[".seoul.kr"]=$additionaldomainfields[".kr"];
		if(netim_isDefaultRegistrar("ne.kr")) $additionaldomainfields[".ne.kr"]=$additionaldomainfields[".kr"];
		if(netim_isDefaultRegistrar("or.kr")) $additionaldomainfields[".or.kr"]=$additionaldomainfields[".kr"];	
	}
	
	// .LT TLD
	if(netim_isDefaultRegistrar(array("lt")))
	{
		$additionaldomainfields[".lt"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_lt_info']}");
		$additionaldomainfields[".lt"][] = array("Name" => "companyNumber", "LangVar" => "netim_lt_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);
	}
	
	// .LV TLD
	if(netim_isDefaultRegistrar(array("lv","com.lv","org.lv","net.lv")))
	{
		$additionaldomainfields[".lv"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_lv_info']}");
		$additionaldomainfields[".lv"][] = array("Name" => "companyNumber", "LangVar" => "netim_lv_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);
		$additionaldomainfields[".lv"][] = array("Name" => "idNumber", "LangVar" => "netim_lv_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);
		
		// Third level
		if(netim_isDefaultRegistrar("com.lv")) $additionaldomainfields[".com.lv"] = $additionaldomainfields[".lv"];
		if(netim_isDefaultRegistrar("org.lv")) $additionaldomainfields[".org.lv"] = $additionaldomainfields[".lv"];
		if(netim_isDefaultRegistrar("net.lv")) $additionaldomainfields[".net.lv"] = $additionaldomainfields[".lv"];		
	}

	// .MC TLD
	if(netim_isDefaultRegistrar("mc"))
	{
		$additionaldomainfields[".mc"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_mc_info']}<br><strong>{$_LANG['netim_eligibility_both']}</strong>");
		$additionaldomainfields[".mc"][] = array("Name" => "noname2", "LangVar" => "netim_caution", "Type" => "display","Default" =>"<i>{$_LANG['netim_mc_caution']}</i>");
		$additionaldomainfields[".mc"][] = array("Name" => "noname3","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .MK TLD
	if(netim_isDefaultRegistrar(array("mk","com.mk","org.mk","net.mk")))
	{
		$additionaldomainfields[".mk"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_mk_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_mk_info']['Company']['Name']}</strong>: {$_LANG['netim_mk_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_mk_info']['Individual']['Name']}</strong>: {$_LANG['netim_mk_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".mk"][] = array("Name" => "companyNumber", "LangVar" => "netim_mk_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".mk"][] = array("Name" => "idNumber", "LangVar" => "netim_mk_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		
		// Third level
		if(netim_isDefaultRegistrar("com.mk")) $additionaldomainfields[".com.mk"]=$additionaldomainfields[".mk"];
		if(netim_isDefaultRegistrar("org.mk")) $additionaldomainfields[".org.mk"]=$additionaldomainfields[".mk"];
		if(netim_isDefaultRegistrar("net.mk")) $additionaldomainfields[".net.mk"]=$additionaldomainfields[".mk"];
	}
	
	// .COM.MT TLD
	if(netim_isDefaultRegistrar(array("mt","com.mt")))
	{
		$additionaldomainfields[".mt"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_mt_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_mt_info']['Company']['Name']}</strong>: {$_LANG['netim_mt_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_mt_info']['TM']['Name']}</strong>: {$_LANG['netim_mt_info']['TM']['Requirements']}</li>");	
		$additionaldomainfields[".mt"][] = array("Name" => "MT_CATEGORY", "LangVar" => "netim_mt_additional", "Type" => "radio", "Options" => "{$_LANG['netim_mt_info']['Company']['Name']} (1),{$_LANG['netim_mt_info']['TM']['Name']} (2)","Required" => true);
		$additionaldomainfields[".mt"][] = array("Name" => "companyName","LangVar" => "netim_mt_companyname", "Type" => "text","Size" => "20","Default" => "", "Required" => false);
		$additionaldomainfields[".mt"][] = array("Name" => "companyNumber","LangVar" => "netim_mt_companynumber", "Type" => "text","Size" => "20","Default" => "", "Required" => false);
		$additionaldomainfields[".mt"][] = array("Name" => "tmName","LangVar" => "netim_mt_tmname","Type" => "text","Size" => "30","Default" => "",	"Required" => false);
		$additionaldomainfields[".mt"][] = array("Name" => "tmType","LangVar" => "netim_mt_tmtype",	"Type" => "dropdown","Options" => ", {$_LANG['netim_mt_tmtype_dropdown']['INPI']} (INPI),{$_LANG['netim_mt_tmtype_dropdown']['OHIM']} (OHMI), {$_LANG['netim_mt_tmtype_dropdown']['WIPO']} (WIPO)","Default" => "","Required" => false);
		$additionaldomainfields[".mt"][] = array("Name" => "tmNumber","LangVar" => "netim_mt_tmnumber",	"Type" => "text","Size" => "20","Default" => "","Required" => false);
		
		// Third level
		if(netim_isDefaultRegistrar("com.mt")) $additionaldomainfields[".com.mt"]=$additionaldomainfields[".mt"];
	}

	// .MY TLD
	if(netim_isDefaultRegistrar("my"))
	{
		$additionaldomainfields[".my"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_my_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_my_info']['Company']['Name']}</strong>: {$_LANG['netim_my_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_my_info']['Citizen']['Name']}</strong>: {$_LANG['netim_my_info']['Citizen']['Requirements']}</li>
         </ul>
		");
		$additionaldomainfields[".my"][] = array("Name" => "companyNumber", "LangVar" => "netim_my_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".my"][] = array("Name" => "idNumber", "LangVar" => "netim_my_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false );
		$additionaldomainfields[".my"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .COM.MY TLD
	if(netim_isDefaultRegistrar("com.my"))
	{
		$additionaldomainfields[".com.my"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_commy_info']}");
		$additionaldomainfields[".com.my"][] = array("Name" => "companyNumber", "LangVar" => "netim_my_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => true);	
	}
	
	// .NO TLD
	if(netim_isDefaultRegistrar("no"))
	{
		$additionaldomainfields[".no"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_no_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_no_info']['Company']['Name']}</strong>: {$_LANG['netim_no_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_no_info']['Citizen']['Name']}</strong>: {$_LANG['netim_no_info']['Citizen']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".no"][] = array("Name" => "companyNumber", "LangVar" => "netim_no_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".no"][] = array("Name" => "idNumber", "LangVar" => "netim_no_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);	
		$additionaldomainfields[".no"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .NU TLD
	if(netim_isDefaultRegistrar("nu"))
	{
		$additionaldomainfields[".nu"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_nu_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_nu_info']['Company']['Name']}</strong>: {$_LANG['netim_nu_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_nu_info']['Individual']['Name']}</strong>: {$_LANG['netim_nu_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".nu"][] = array("Name" => "companyNumber","LangVar" => "netim_nu_companynumber","Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".nu"][] = array("Name" => "vatNumber","LangVar" => "netim_nu_vatnumber", "Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".nu"][] = array("Name" => "idNumber","LangVar" => "netim_nu_idnumber", "Type" => "text","Size" => "20","Default" => "","Required" => false);
	}
	
	// .PE TLD
	if(netim_isDefaultRegistrar(array("pe","com.pe","net.pe","org.pe")))
	{
		$additionaldomainfields[".pe"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_pe_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_pe_info']['Company']['Name']}</strong>: {$_LANG['netim_pe_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_pe_info']['Individual']['Name']}</strong>: {$_LANG['netim_pe_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".pe"][] = array("Name" => "companyNumber", "LangVar" => "netim_pe_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".pe"][] = array("Name" => "idNumber", "LangVar" => "netim_pe_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			

		// Third level
		if(netim_isDefaultRegistrar("com.pe")) $additionaldomainfields[".com.pe"] = $additionaldomainfields[".pe"];
		if(netim_isDefaultRegistrar("net.pe")) $additionaldomainfields[".net.pe"] = $additionaldomainfields[".pe"];
		if(netim_isDefaultRegistrar("org.pe"))	$additionaldomainfields[".org.pe"] = $additionaldomainfields[".pe"];
	}
	
	// .PT TLD
	if(netim_isDefaultRegistrar(array("pt","com.pt","org.pt")))
	{
		$additionaldomainfields[".pt"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_pt_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_pt_info']['Company']['Name']}</strong>: {$_LANG['netim_pt_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_pt_info']['Individual']['Name']}</strong>: {$_LANG['netim_pt_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".pt"][] = array("Name" => "companyNumber","LangVar" => "netim_pt_companynumber","Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".pt"][] = array("Name" => "vatNumber","LangVar" => "netim_pt_vatnumber", "Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".pt"][] = array("Name" => "idNumber","LangVar" => "netim_pt_idnumber", "Type" => "text","Size" => "20","Default" => "","Required" => false);
				
		// Third level
		if(netim_isDefaultRegistrar("com.pt")) $additionaldomainfields[".com.pt"] = $additionaldomainfields[".pt"];
		if(netim_isDefaultRegistrar("org.pt")) $additionaldomainfields[".org.pt"] = $additionaldomainfields[".pt"];
	}
	
	// .RIO TLD
	if(netim_isDefaultRegistrar("rio"))
	{
		$additionaldomainfields[".rio"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_rio_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_rio_info']['Company']['Name']}</strong>: {$_LANG['netim_rio_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_rio_info']['Individual']['Name']}</strong>: {$_LANG['netim_rio_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".rio"][] = array("Name" => "companyNumber", "LangVar" => "netim_rio_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"(NN.NNN.NNN/NNNN-NN)");
		$additionaldomainfields[".rio"][] = array("Name" => "idNumber", "LangVar" => "netim_rio_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false, "Description" => "(NNN.NNN.NNN-NN)");
		$additionaldomainfields[".rio"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_values']}");
	}
	
	// .RO TLD
	if(netim_isDefaultRegistrar(array("ro","com.ro","org.ro")))
	{
		$additionaldomainfields[".ro"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_ro_info']}");
		$additionaldomainfields[".ro"][] = array("Name" => "companyNumber","LangVar" => "netim_ro_companynumber","Type" => "text","Size" => "30","Default" => "","Required" => false, "Description" => "(J40/11029/1999)");
		$additionaldomainfields[".ro"][] = array("Name" => "vatNumber","LangVar" => "netim_ro_vatnumber", "Type" => "text","Size" => "30","Default" => "","Required" => false);
		$additionaldomainfields[".ro"][] = array("Name" => "idNumber","LangVar" => "netim_ro_idnumber", "Type" => "text","Size" => "30","Default" => "","Required" => false, "Description"=>"(xxxxxxxxxxxxx)");

		// Third level
		if(netim_isDefaultRegistrar("com.ro"))	$additionaldomainfields[".com.ro"] = $additionaldomainfields[".ro"];
		if(netim_isDefaultRegistrar("org.ro"))	$additionaldomainfields[".org.ro"] = $additionaldomainfields[".ro"];
	}
	
	// .RS TLD
	if(netim_isDefaultRegistrar("rs"))
	{
		$additionaldomainfields[".rs"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_rs_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_rs_info']['Company']['Name']}</strong>: {$_LANG['netim_rs_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_rs_info']['Citizen']['Name']}</strong>: {$_LANG['netim_rs_info']['Citizen']['Requirements']}</li>
            <li><strong>{$_LANG['netim_rs_info']['Individual']['Name']}</strong>: {$_LANG['netim_rs_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".rs"][] = array("Name" => "companyNumber","LangVar" => "netim_rs_companynumber","Type" => "text","Size" => "30","Default" => "","Required" => false);
		$additionaldomainfields[".rs"][] = array("Name" => "idNumber","LangVar" => "netim_rs_idnumber", "Type" => "text","Size" => "30","Default" => "","Required" => false);
	}
	
	// .RU TLD
	if(netim_isDefaultRegistrar("ru"))
	{
		$additionaldomainfields[".ru"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_ru_info']}");
		$additionaldomainfields[".ru"][] = array("Name" => "idNumber","LangVar" => "netim_ru_idnumber",	"Type" => "text","Size" => "20","Default" => "","Required" => false,);
		$additionaldomainfields[".ru"][] = array("Name" => "birthDate","LangVar" => "netim_ru_birthdate","Type" => "text","Size" => "10","Default" => "","Required" => false,"Description"=>"(YYYY-MM-DD)");
	}
	
	// .SE TLD
	if(netim_isDefaultRegistrar("se"))
	{
		$additionaldomainfields[".se"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_se_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_se_info']['Company']['Name']}</strong>: {$_LANG['netim_se_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_se_info']['Individual']['Name']}</strong>: {$_LANG['netim_se_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".se"][] = array("Name" => "companyNumber","LangVar" => "netim_se_companynumber","Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".se"][] = array("Name" => "vatNumber","LangVar" => "netim_se_vatnumber", "Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".se"][] = array("Name" => "idNumber","LangVar" => "netim_se_idnumber", "Type" => "text","Size" => "20","Default" => "","Required" => false);
	}
	
	// .SK TLD
	if(netim_isDefaultRegistrar("sk"))
	{
		$additionaldomainfields[".sk"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_sk_info']}<br><strong>{$_LANG['netim_eligibility']}</strong>");
		$additionaldomainfields[".sk"][] = array("Name" => "companyNumber","LangVar" => "netim_sk_companynumber","Type" => "text","Size" => "20","Default" => "","Required" => false);
		$additionaldomainfields[".sk"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .SWISS TLD
	if(netim_isDefaultRegistrar("swiss"))
    {
         $additionaldomainfields[".swiss"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default"=>"{$_LANG['netim_swiss_info']}");
         $additionaldomainfields[".swiss"][] = array("Name" => "companyNumber","LangVar" => "netim_swiss_companynumber","Type" => "text","Size" => "30",    "Default" => "","Required" =>true,"Description"=>"(CHE-XXX.XXX.XXX)");
         $additionaldomainfields[".swiss"][] = array("Name" => "SWISS_INTENDED_USE","LangVar" => "netim_swiss_additional","Type" => "text","Size" => "50","Default" => "","Required" => true,);
     }
	
	// .CO.TH TLD
	if(netim_isDefaultRegistrar("co.th"))
	{
		$additionaldomainfields[".co.th"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_coth_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_coth_info']['Company']['Name']}</strong><br>{$_LANG['netim_coth_info']['Company']['Requirements']}<br><i>({$_LANG['netim_coth_info']['Company']['notices']})</i></li>
            <li><strong>{$_LANG['netim_coth_info']['Foreign']['Name']}</strong><br>{$_LANG['netim_coth_info']['Foreign']['Requirements']}<br><i>({$_LANG['netim_coth_info']['Company']['notices']})</i></li>
			<li><strong>{$_LANG['netim_coth_info']['tm']['Name']}</strong><br>{$_LANG['netim_coth_info']['tm']['Requirements']}<br><i>({$_LANG['netim_coth_info']['tm']['notices']})</i></li>
         </ul>");
		$additionaldomainfields[".co.th"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .TN TLD
	if(netim_isDefaultRegistrar("tn"))
	{
		$additionaldomainfields[".tn"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_tn_info']}<br><strong>{$_LANG['netim_eligibility_owner']}</strong>");
		$additionaldomainfields[".tn"][] = array("Name" => "noname2","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}

	// .COM.TN TLD
	if(netim_isDefaultRegistrar("com.tn"))
	{
		$additionaldomainfields[".com.tn"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_comtn_info']}<br><strong>{$_LANG['netim_eligibility_owner']}</strong>");
		$additionaldomainfields[".com.tn"][] = array("Name" => "noname3","LangVar" => "netim_agreement","Type" => "tickbox","Required" => true,"Description"=>"{$_LANG['netim_agreement_rules']}");
	}
	
	// .COM.TR TLD
	if(netim_isDefaultRegistrar("com.tr"))
	{
		$additionaldomainfields[".com.tr"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_comtr_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_comtr_info']['Company']['Name']}</strong>: {$_LANG['netim_comtr_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_comtr_info']['Individual']['Name']}</strong>: {$_LANG['netim_comtr_info']['Individual']['Requirements']}</li>
			<li><strong>{$_LANG['netim_comtr_info']['tm']['Name']}</strong>: {$_LANG['netim_comtr_info']['tm']['Requirements']}</li>
			<li><strong>{$_LANG['netim_comtr_info']['foreign']['Name']}</strong>: {$_LANG['netim_comtr_info']['foreign']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".com.tr"][] = array("Name" => "TR_ELIGIBILITY", "LangVar" => "netim_comtr_type", "Type" => "dropdown", "Options" => ",{$_LANG['netim_comtr_type_dropdown']['1']} (1),{$_LANG['netim_comtr_type_dropdown']['2']} (2),{$_LANG['netim_comtr_type_dropdown']['3']} (3),{$_LANG['netim_comtr_type_dropdown']['4']} (4)","Default" => "", "Required" => true);		
		$additionaldomainfields[".com.tr"][] = array("Name" => "TR_TAX_NUMBER", "LangVar" => "netim_comtr_tax", "Type" => "text","Size" => "20","Default" => "","Required" => true);
		$additionaldomainfields[".com.tr"][] = array("Name" => "noname2", "LangVar" => "netim_info", "Type" => "display","Default" =>"<i>{$_LANG['netim_comtr_info']['Notices']}</i>");
	}
	
	// .UA TLD
	if(netim_isDefaultRegistrar("ua"))
	{
		$additionaldomainfields[".ua"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_ua_info']}");
		$additionaldomainfields[".ua"][] = array("Name" => "tmName","LangVar" => "netim_ua_tmname","Type" => "text","Size" => "30","Default" => "",	"Required" => true);
		$additionaldomainfields[".ua"][] = array("Name" => "tmType","LangVar" => "netim_ua_tmtype",	"Type" => "dropdown","Options" => ",{$_LANG['netim_ua_tmtype_dropdown']['INPI']} (INPI), {$_LANG['netim_ua_tmtype_dropdown']['WIPO']} (WIPO)","Default" => "","Required" => true);
		$additionaldomainfields[".ua"][] = array("Name" => "tmNumber","LangVar" => "netim_ua_tmnumber",	"Type" => "text","Size" => "20","Default" => "","Required" => true);
	}
	
	// .CO.UK TLD
	if(netim_isDefaultRegistrar(array("co.uk","org.uk","me.uk","plc.uk","ltd.uk")))
	{
		$additionaldomainfields[".co.uk"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_uk_info']}");
		$additionaldomainfields[".co.uk"][] = array("Name" => "UK_CATEGORY", "LangVar" => "netim_uk_type", "Type" => "dropdown", "Options" => ",{$_LANG['netim_uk_type_dropdown']['LTD']} (LTD),{$_LANG['netim_uk_type_dropdown']['PLC']} (PLC),{$_LANG['netim_uk_type_dropdown']['PTNR']} (PTNR),{$_LANG['netim_uk_type_dropdown']['STRA']} (STRA),{$_LANG['netim_uk_type_dropdown']['LLP']} (LLP),{$_LANG['netim_uk_type_dropdown']['IP']} (IP),{$_LANG['netim_uk_type_dropdown']['SCH']} (SCH),{$_LANG['netim_uk_type_dropdown']['RCHAR']} (RCHAR),{$_LANG['netim_uk_type_dropdown']['GOV']} (GOV),{$_LANG['netim_uk_type_dropdown']['CRC']} (CRC),{$_LANG['netim_uk_type_dropdown']['STAT']} (STAT),{$_LANG['netim_uk_type_dropdown']['OTHER']} (OTHER)","Default" => "", "Required" => false);		
		$additionaldomainfields[".co.uk"][] = array("Name" => "companyNumber", "LangVar" => "netim_uk_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,);
		
		// Third level
		if(netim_isDefaultRegistrar("net.uk")) $additionaldomainfields[".net.uk"] = $additionaldomainfields[".co.uk"];
		if(netim_isDefaultRegistrar("org.uk")) $additionaldomainfields[".org.uk"] = $additionaldomainfields[".co.uk"];
		if(netim_isDefaultRegistrar("me.uk")) $additionaldomainfields[".me.uk"] = $additionaldomainfields[".co.uk"];
		if(netim_isDefaultRegistrar("plc.uk")) $additionaldomainfields[".plc.uk"] = $additionaldomainfields[".co.uk"];
		if(netim_isDefaultRegistrar("ltd.uk")) $additionaldomainfields[".ltd.uk"] = $additionaldomainfields[".co.uk"];
	}
	
	// .UK TLD
	if(netim_isDefaultRegistrar("uk"))
	{
		$additionaldomainfields[".uk"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_uk_info']}");
		$additionaldomainfields[".uk"][] = array("Name" => "noname2", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_uk_rights']}");
		$additionaldomainfields[".uk"][] = array("Name" => "UK_CATEGORY", "LangVar" => "netim_uk_type", "Type" => "dropdown", "Options" => ",{$_LANG['netim_uk_type_dropdown']['LTD']} (LTD),{$_LANG['netim_uk_type_dropdown']['PLC']} (PLC),{$_LANG['netim_uk_type_dropdown']['PTNR']} (PTNR),{$_LANG['netim_uk_type_dropdown']['STRA']} (STRA),{$_LANG['netim_uk_type_dropdown']['LLP']} (LLP),{$_LANG['netim_uk_type_dropdown']['IP']} (IP),{$_LANG['netim_uk_type_dropdown']['SCH']} (SCH),{$_LANG['netim_uk_type_dropdown']['RCHAR']} (RCHAR),{$_LANG['netim_uk_type_dropdown']['GOV']} (GOV),{$_LANG['netim_uk_type_dropdown']['CRC']} (CRC),{$_LANG['netim_uk_type_dropdown']['STAT']} (STAT),{$_LANG['netim_uk_type_dropdown']['OTHER']} (OTHER)","Default" => "", "Required" => false);		
		$additionaldomainfields[".uk"][] = array("Name" => "companyNumber", "LangVar" => "netim_uk_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,);
	}
	
	// .US TLD
	if(netim_isDefaultRegistrar("us"))
	{
		$additionaldomainfields[".us"][] = array("Name" => "noname", "LangVar" => "netim_rules", "Type" => "display","Default" =>"{$_LANG['netim_us_info']}");
		$additionaldomainfields[".us"][] = array("Name" => "US_APP_PURPOSE", "LangVar" => "netim_us_purpose", "Type" => "dropdown", "Options" => ",{$_LANG['netim_us_purpose_dropdown']['P1']} (P1),{$_LANG['netim_us_purpose_dropdown']['P2']} (P2), {$_LANG['netim_us_purpose_dropdown']['P3']} (P3),{$_LANG['netim_us_purpose_dropdown']['P4']} (P4),{$_LANG['netim_us_purpose_dropdown']['P5']} (P5)", "Default"=>"","Required" => true,);
		$additionaldomainfields[".us"][] = array("Name" => "US_CATEGORY", "LangVar" => "netim_us_category", "Type" => "dropdown", "Options" => ",{$_LANG['netim_us_category_dropdown']['C11']} (C11), {$_LANG['netim_us_category_dropdown']['C12']} (C12) , {$_LANG['netim_us_category_dropdown']['C21']} (C21), {$_LANG['netim_us_category_dropdown']['C31']} (C31), {$_LANG['netim_us_category_dropdown']['C32']} (C32)", "Default"=>"", "Required" => true,);
	}
	
	// .VN TLD
	if(netim_isDefaultRegistrar("vn"))
	{
		$additionaldomainfields[".vn"][] = array("Name" => "noname", "LangVar" => "netim_info", "Type" => "display","Default" =>"{$_LANG['netim_vn_info']['Header']}<ul>
            <li><strong>{$_LANG['netim_vn_info']['Company']['Name']}</strong>: {$_LANG['netim_vn_info']['Company']['Requirements']}</li>
            <li><strong>{$_LANG['netim_vn_info']['Individual']['Name']}</strong>: {$_LANG['netim_vn_info']['Individual']['Requirements']}</li>
         </ul>");
		$additionaldomainfields[".vn"][] = array("Name" => "companyNumber", "LangVar" => "netim_vn_companynumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false);			
		$additionaldomainfields[".vn"][] = array("Name" => "idNumber", "LangVar" => "netim_vn_idnumber", "Type" => "text", "Size" => "20", "Default" => "", "Required" => true);			
		$additionaldomainfields[".vn"][] = array("Name" => "birthDate", "LangVar" => "netim_vn_birthdate", "Type" => "text", "Size" => "20", "Default" => "", "Required" => false,"Description"=>"(YYYY-MM-DD)");			
	}
?>