<?php
	/******************************************
	* @version  2.6
	* @Date  2019-01-21
	******************************************/

	if (!defined("WHMCS"))
		die("This file cannot be accessed directly");
		
	// ----------------------------------------------------------------------------------------------
	// Module settings
	// ----------------------------------------------------------------------------------------------
	
	//Shall we record result generated during a domainCreate into the admin notes ?
	$netim_report_domainCreate_in_adminnotes=true;
	
	//Shall we record result generated during a domainTransferIn into the admin notes ?
	$netim_report_domainTransfer_in_adminnotes=true;
	
	//Shall we record result generated during a domainRenew into the admin notes ?
	$netim_report_domainRenew_in_adminnotes=true;	

	//Shall we force the restoration of a domain name if the renewal period is over ?	
	$netim_force_restore_during_renewal=true;
	
	//Shall we force the use of local contact service when needed (ie, the administration contact doesn't fullfill the rule) ?
	$netim_force_use_localcontactservice=array
	(
		"asia"=>false,
		"ba"=>true,
		"bayern"=>false,
		"berlin"=>false,
		"bj"=>false,
		"de"=>false,
		"ee"=>false,"com.ee"=>false,
		"fr"=>true,"pm"=>true,"re"=>true,"tf"=>true,"wf"=>true,"yt"=>true,
		"hu"=>true,"co.hu"=>true,
		"jp"=>false,
		"ma"=>false,"com.ma"=>false,
		"ruhr"=>false,
		"sg"=>false,"com.sg"=>false,
		"uk"=>false,
	);
	
	//Shall we force the use of trustee service when needed (ie, the registrant contact doesn't fullfill the rule) ?
	$netim_force_use_trusteeservice=array
	(
		"com.ar"=>true,
		"ba"=>true,
		"bg"=>false,
		"com.br"=>false,
		"cn"=>true,"com.cn"=>true,"net.cn"=>true,"org.cn"=>true,
		"eu"=>false,
		"fi"=>false,
		"fr"=>false,"pm"=>false,"re"=>false,"tf"=>false,"wf"=>false,"yt"=>false,
		"hk"=>true,"com.hk"=>true,
		"hr"=>false,
		"hu"=>false,
		"it"=>false,
		"kr"=>false,"co.kr"=>false,"pe.kr"=>false,"re.kr"=>false,"seoul.kr"=>false,"ne.kr"=>false,"or.kr"=>false,
		"com.mm"=>false,
		"my"=>false,"com.my"=>false,
		"no"=>false,
		"sk"=>false,
	);
		
	$netim_default_contact_id = "";
	
	// ----------------------------------------------------------------------------------------------
	// Local contact ID
	// ----------------------------------------------------------------------------------------------
	// Should match at any time http://support.netim.com/en/wiki/Local_presence_service
	// This array defines which contact ID must be used for the local contact service. 
	// By default, NETIM's ID are set but you can define here your own contact if you can provide the service by yourself or any third party
	$localcontactID = array
	(
		"asia"=>"NETIM4IN",
		"ba"=>"NETIM4BA",
		"bayern"=>"NETIM4DE",
		"berlin"=>"NETIM4DE",
		"bj"=>"NETIM4BJ",
		"de"=>"NETIM4DE",
		"ee"=>"NETIM4EE","com.ee"=>"NETIM4EE",
		"fr"=>"NETIM4FR","pm"=>"NETIM4FR","re"=>"NETIM4FR","tf"=>"NETIM4FR","wf"=>"NETIM4FR","yt"=>"NETIM4FR",
		"hu"=>"NETIM4HU","co.hu"=>"NETIM4HU",
		"jp"=>"NETIM4JP",
		"ma"=>"NETIM4MA","co.ma"=>"NETIM4MA",
		"ruhr"=>"NETIM4DE",
		"sg"=>"NETIM4SG","com.sg"=>"NETIM4SG",
		"uk"=>"NETIM4UK"
	);
	
	// ----------------------------------------------------------------------------------------------
	// Trustee ID
	// ----------------------------------------------------------------------------------------------
	// Should match at any time http://support.netim.com/en/wiki/Trustee_service
	// This array defines which contact ID must be used for the trustee service. 
	// By default, NETIM's ID are set but you can define here your own contact if you can provide the service by yourself or any third party
	$trusteeID = array
	(
		"com.ar"=>"TRUST4AR",
		"ba"=>"TRUST4BA",
		"bg"=>"TRUST4BG",
		"com.br"=>"TRUST4BR",
		"cn"=>"TRUST4CN","com.cn"=>"TRUST4CN","net.cn"=>"TRUST4CN","org.cn"=>"TRUST4CN",
		"eu"=>"TRUST4EU",
		"fi"=>"TRUST4FI",
		"fr"=>"TRUST4FR","pm"=>"TRUST4FR","re"=>"TRUST4FR","tf"=>"TRUST4FR","wf"=>"TRUST4FR","yt"=>"TRUST4FR",
		"hk"=>"TRUST4HK","com.hk"=>"TRUST4HK",
		"hr"=>"TRUST4HR",
		"hu"=>"TRUST4HU",
		"it"=>"TRUST4IT",
		"kr"=>"TRUST4KR","co.kr"=>"TRUST4KR","pe.kr"=>"TRUST4KR","re.kr"=>"TRUST4KR","seoul.kr"=>"TRUST4KR","ne.kr"=>"TRUST4KR","or.kr"=>"TRUST4KR",
		"com.mm"=>"TRUST4MM",
		"my"=>"TRUST4My","com.my"=>"TRUST4MY",
		"no"=>"TRUST4NO",
		"sk"=>"TRUST4SK"	
	);
	
	// ----------------------------------------------------------------------------------------------
	// Local contact countries
	// ----------------------------------------------------------------------------------------------
	// These arrays help tp define which countries are allowed for the administrative contact in a given extention
	// If a local contact service exists, the module will check if the country of the admnistrative contact is defined in the corresponding array for the extension
	// If it is NOT the case then we assume that the rules are not fullfilled. Thus, we handle the local contact service according to $netim_force_use_free_localcontactservice / $netim_force_use_paid_localcontactservice
	$localcontactcountries = array();
	$localcontactcountries["ba"]=array("BA");
	$localcontactcountries["bayern"]=array("DE");
	$localcontactcountries["bj"]=array("BJ");
	$localcontactcountries["de"]=array("DE");
	$localcontactcountries["hu"]=array("HU");
	$localcontactcountries["co.hu"]=array("HU");
	$localcontactcountries["ee"]=array("EE");
	$localcontactcountries["com.ee"]=array("ee");
	$localcontactcountries["jp"]=array("JP");
	$localcontactcountries["ma"]=array("MA");
	$localcontactcountries["co.ma"]=array("ma");
	$localcontactcountries["ruhr"]=array("DE");
	$localcontactcountries["sg"]=array("SG");
	$localcontactcountries["com.sg"]=array("sg");
	$localcontactcountries["uk"]=array("GB","UK","GG","JE","IM");
	// Should match at any time http://support.netim.com/en/wiki/Countries_dot_asia
	$localcontactcountries["asia"]=array("AF","AQ","AM","AU","AZ","BH","BD","BT","BN","KH","CN","CX","CC","CK","CY","FJ","GE","HM","HK","HG","IN","ID","IR","IQ","IL","JP","JO","KZ","KI","KP","KR","KW","KG","LA","LB","MO","MY","MV","MH","FM","MN","MM","NR","NP","NZ","NU","NF","OM","PK","PW","PS","PG","PH","QA","WS","SA","SG","SB","LK","SY","TW","TJ","TH","TL","TK","TO","TR","TM","TV","AE","UZ","VU","VN","YE");
	// Should match at any time http://support.netim.com/en/wiki/Countries_dot_fr
	$localcontactcountries["fr"]=array("AT","AX","BE","BG","CH","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GF","GI","GP","GR","HR","HU","IE","IS","IT","LI","LT","LU","LV","MQ","MT","NC","NL","NO","PL","PM","PT","RE","RO","SE","SK","TF","WF","YT");
	$localcontactcountries["re"]=$localcontactcountries["fr"];
	$localcontactcountries["pm"]=$localcontactcountries["fr"];
	$localcontactcountries["tf"]=$localcontactcountries["fr"];
	$localcontactcountries["wf"]=$localcontactcountries["fr"];
	$localcontactcountries["yt"]=$localcontactcountries["fr"];

	// ----------------------------------------------------------------------------------------------
	// Local contact cities
	// ----------------------------------------------------------------------------------------------
	// These arrays help tp define which zipcode/postal code are allowed for the administrative contact in a given extention
	// If a local contact service exists, the module will check if the zipcode/postal code of the admnistrative contact is defined in the corresponding array for the extension
	// If it is NOT the case then we assume that the rules are not fullfilled. Thus, we handle the local contact service according to $netim_force_use_localcontactservice
	$localcontactcities=array();
	$localcontactcities["berlin"]=array(10115,10117,10119,10178,10179,10243,10245,10247,10249,10315,10317,10318,10319,10365,10367,10369,10405,10407,10409,10435,10437,10439,10551,10553,10555,10557,10559,10585,10587,10589,10623,10625,10627,10629,10707,10709,10711,10713,10715,10717,10719,10777,10779,10781,10783,10785,10787,10789,10823,10825,10827,10829,10961,10963,10965,10967,10969,10997,10999,12043,12045,12047,12049,12051,12053,12055,12057,12059,12099,12101,12103,12105,12107,12109,12157,12159,12161,12163,12165,12167,12169,12203,12205,12207,12209,12247,12249,12277,12279,12305,12307,12309,12347,12349,12351,12353,12355,12357,12359,12435,12437,12439,12459,12487,12489,12524,12526,12527,12555,12557,12559,12587,12589,12619,12621,12623,12627,12629,12679,12681,12683,12685,12687,12689,13051,13053,13055,13057,13059,13086,13088,13089,13125,13127,13129,13156,13158,13159,13187,13189,13347,13349,13351,13353,13355,13357,13359,13403,13405,13407,13409,13435,13437,13439,13465,13467,13469,13503,13505,13507,13509,13581,13583,13585,13587,13589,13591,13593,13595,13597,13599,13627,13629,14050,14052,14053,14055,14057,14059,14089,14109,14129,14131,14163,14165,14167,14169,14193,14195,14197,14199);

	// ----------------------------------------------------------------------------------------------
	// Trustee countries
	// ----------------------------------------------------------------------------------------------
	// These arrays help tp define which countries are allowed for the registrant in a given extention
	// If a trustee service exists, the module will check if the country of the registrant contact is defined in the corresponding array for the extension
	// If it is NOT the case then we assume that the rules are not fullfilled. Thus, we handle the trustee service according to $netim_force_use_trusteeservice
	$trusteecountries = array();
	$trusteecountries["com.ar"]=array(""); // Keep empty as trustee service is mandatory
	$trusteecountries["ba"]=array("BA");
	// Should match at any time http://support.netim.com/en/wiki/Countries_in_eu
	$trusteecountries["bg"]=array("AT","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK");
	$trusteecountries["com.br"]=array("BR");
	$trusteecountries["cn"]=array(""); // Keep empty as trustee service is mandatory
	$trusteecountries["com.cn"]=$trusteecountries["cn"];
	$trusteecountries["org.cn"]=$trusteecountries["cn"];
	$trusteecountries["net.cn"]=$trusteecountries["cn"];
	// Should match at any time http://support.netim.com/en/wiki/Countries_dot_eu
	$trusteecountries["eu"]=array("AT","AX","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GF","GI","GP","GR","HR","HU","IE","IT","LT","LU","LV","MQ","MT","NL","PL","PT","RO","RE","SE","SI","SK");
	$trusteecountries["fi"]=array("FI");
	// Should match at any time http://support.netim.com/en/wiki/Countries_dot_fr
	$trusteecountries["fr"]=$localcontactcountries["fr"];
	$trusteecountries["re"]=$localcontactcountries["fr"];
	$trusteecountries["pm"]=$localcontactcountries["fr"];
	$trusteecountries["tf"]=$localcontactcountries["fr"];
	$trusteecountries["wf"]=$localcontactcountries["fr"];
	$trusteecountries["yt"]=$localcontactcountries["fr"];
	$trusteecountries["hk"]=array(""); // Keep empty as trustee service is mandatory
	$trusteecountries["com.hk"]=$trusteecountries["hk"];
	// Should match at any time http://support.netim.com/en/wiki/Countries_in_eu
	$trusteecountries["hr"]=array("AT","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK");
	$trusteecountries["hu"]=array("AT","BE","BG","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK");
	// Should match at any time http://support.netim.com/en/wiki/Countries_dot_it
	$trusteecountries["it"]=array("AT","BE","BG","CZ","CH","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IT","IS","LI","LT","LU","LV","MT","NL","NO","PL","PT","RO","SE","SI","SK","SM","VA");
	$trusteecountries["kr"]=array("KR");
	$trusteecountries["co.kr"]=$trusteecountries["kr"];
	$trusteecountries["pe.kr"]=$trusteecountries["kr"];
	$trusteecountries["re.kr"]=$trusteecountries["kr"];
	$trusteecountries["seoul.kr"]=$trusteecountries["kr"];
	$trusteecountries["ne.kr"]=$trusteecountries["kr"];
	$trusteecountries["or.kr"]=$trusteecountries["kr"];
	$trusteecountries["com.mm"]=array("MM");
	$trusteecountries["my"]=array("MY");
	$trusteecountries["com.my"]=array("MY");
	$trusteecountries["no"]=array("NO");
	// Should match at any time http://support.netim.com/en/wiki/Countries_dot_sk
	$trusteecountries["sk"]=array("AT","BE","BG","CH","CZ","CY","DE","DK","ES","EE","FI","FR","GB","GR","HR","HU","IE","IS","IT","LI","LT","LU","LV","MT","NL","PL","PT","RO","SE","SI","SK");
	
	// ----------------------------------------------------------------------------------------------
	// Domain additional fields
	// ----------------------------------------------------------------------------------------------
	$domainadditionalfields_with_dom = array(
		"AU_REGISTRANT_ID_TYPE",
		"AU_REGISTRANT_ID_NUMBER",
		"AU_ELIGIBILITY_TYPE",
		"AU_TRADEMARK_NAME",
		"BARCELONA_INTENDED_USE",
		"CAT_INTENDED_USE",
		"DJ_INTENDED_USE",
		"DZ_TRADEMARK_NAME",
		"DZ_TRADEMARK_NUMBER",
		"GW_TRADEMARK_NAME",
		"GW_TRADEMARK_NUMBER",
		"IE_FASTPASS",
		"MT_CATEGORY",
		"MT_TRADEMARK_NAME",
		"MT_TRADEMARK_NUMBER",
		"SWISS_INTENDED_USE",
		"TR_TAX_NUMBER",
		"UA_TRADEMARK_NAME",
		"UA_TRADEMARK_NUMBER",
		"US_APP_PURPOSE",
		);
?>