<?php

	/******************************************
	* @version  2.5
	* @Date  2018-04-20
	******************************************/

	if (!defined("WHMCS"))
		die("This file cannot be accessed directly");

	require_once ROOTDIR . '/includes/functions.php';
	require_once ROOTDIR . '/includes/registrarfunctions.php';
	require_once ROOTDIR . '/modules/registrars/netim/netim.php';

	function widget_netim_registrar_account($vars) 
	{
		global $_ADMINLANG;
		$params_netim = getregistrarconfigoptions ( 'netim' );
		
		$content='<div style="padding:16px">';
		
		# ----------------------------------------------------------------------
		# Login to the API
		# ----------------------------------------------------------------------
		try
		{
			ini_set("soap.wsdl_cache_enabled", "0");
			$clientSOAP = new SoapClient(trim($params_netim["API"]));
			$IDSession = $clientSOAP->__soapCall("login",array(trim($params_netim["Username"]), trim($params_netim["Password"]),"EN",netim_return_engine())) ;
			
			$api_params_netim=array($IDSession);
			$reseller = $clientSOAP->__soapCall("queryResellerAccount", $api_params_netim);
			
			logModuleCall(strstr(__FUNCTION__, '_', true),__FUNCTION__,$api_params_netim,$reseller,"","");
			
			if($reseller->BALANCE_AMOUNT<=$reseller->BALANCE_HARD_LIMIT )
			{
				$content.= '<p>Available funds: <font color="red">'.$reseller->BALANCE_AMOUNT.' EUR</font></p>';
				$content.= '<p><font color="red"><b>Your account can\'t process any paid operations</b></font></p>';
			}
			else if($reseller->BALANCE_AMOUNT<$reseller->BALANCE_LOW_LIMIT)
			{
				$content.= '<p>Available funds: <font color="orange">'.$reseller->BALANCE_AMOUNT.' EUR</font></p>';
				$content.= '<p><font color="orange">Warning, your balance amount has reached your low limit</font></p>';
			}
			else
			{
				$content.= '<p>Available funds: <font color="green">'.$reseller->BALANCE_AMOUNT.' EUR</font></p>';
			}
		}
		catch(SoapFault $fault)
		{
			$content = $fault->getMessage();
		}


		$content .= '<div align="right"><a href="https://netim.com/direct/" target="_blank">'.$_ADMINLANG['home']['manage'].' at NETIM &raquo;</a></div>';
		$content .= '</div>';
		
		# ----------------------------------------------------------------------
		# Logout from the API
		# ----------------------------------------------------------------------
		if(isset($IDSession))
			$clientSOAP->__soapCall("logout",array($IDSession)) ;

		return array( 'title' => 'NETIM registrar account ('.$reseller->BalanceAmount.' EUR)', 'content' => $content );
	}
 	
	function widget_netim_registrar_operation($vars) 
	{
		global $_ADMINLANG;

		$params_netim = getregistrarconfigoptions ( 'netim' );	
		$idn = new netim_idna_convert();
					
		# ----------------------------------------------------------------------
		# Login to the API
		# ----------------------------------------------------------------------
		try
		{
			ini_set("soap.wsdl_cache_enabled", "0");
			$clientSOAP = new SoapClient(trim($params_netim["API"]));
			$IDSession = $clientSOAP->__soapCall("login",array(trim($params_netim["Username"]), trim($params_netim["Password"]),"EN",netim_return_engine())) ;
			
			$api_params_netim=array($IDSession);
			$opelist = $clientSOAP->__soapCall("queryOpePending", $api_params_netim);
			
			$content = '<table width="100%" bgcolor="#cccccc" cellspacing="1" style="padding-top:16px;">
<tr bgcolor=#efefef style="text-align:center;font-weight:bold;"><td>#ID</td><td>Domain</td><td>Operation</td><td>'.$_ADMINLANG['fields']['date'].'</td><td width="20"></td></tr>
	';

			$id =0;
			foreach($opelist as $ope)
			{
				$trackingID = $ope->id_ope;
				$domain = $idn->decode($ope->data_ope);
				$date = $ope->date_ope;
				$operation = $ope->code_ope;
				$bgcolor = ($admin == $vars['adminid']) ? "#f5f5d7" : "#ffffff";
				
				$data=netim_getDomainInfoByDomain($ope->data_ope);
				if(isset($data["id"]) && $data["id"]!="")
					$link="<a href='clientsdomains.php?&id=".$data['id']."&userid=".$data['userid']."'><img src='images/edit.gif' border='0'></a>";
				else
					$link="";
					
				$content .= '<tr bgcolor="'.$bgcolor.'" style="text-align:center;"><td>'.$trackingID.'</td><td>'.$domain.'</td><td>'.$operation.'</td><td>'.$date.'</td>
				<td>'.$link.'</td></tr>';
				$id++;
			}
			
			if ($id==0) 
				$content .= '<tr bgcolor="#ffffff"><td colspan="4" align="center">'.$_ADMINLANG['global']['norecordsfound'].'</td></tr>';
			
			$content .= '</table>';
			$content .= '<div align="right" style="padding:16px;"><a href="https://netim.com/direct/" target="_blank">'.$_ADMINLANG['home']['manage'].' at NETIM &raquo;</a></div>';
		}
		catch(SoapFault $fault)
		{
			$content = $fault->getMessage();
		}
		
		# ----------------------------------------------------------------------
		# Logout from the API
		# ----------------------------------------------------------------------
		if(isset($IDSession))
			$clientSOAP->__soapCall("logout",array($IDSession)) ;
		
		return array( 'title' => 'Pending operations at NETIM registrar ('.$id.')', 'content' => $content );
	}
	
 	add_hook("AdminHomeWidgets",1,"widget_netim_registrar_account");
	add_hook("AdminHomeWidgets",1,"widget_netim_registrar_operation");
	
?>
